Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.servlet
[Java] Class ServletCategory

    java.lang.Object
      groovy.servlet.ServletCategory

    public class ServletCategory
    extends Object

Servlet support.

Method Summary
`static Object` | `get(ServletContext context, String key)`
`static Object` | `get(HttpSession session, String key)`
`static Object` | `get(ServletRequest request, String key)`
`static Object` | `get(PageContext context, String key)`
`static Object` | `getAt(ServletContext context, String key)`
`static Object` | `getAt(HttpSession session, String key)`
`static Object` | `getAt(ServletRequest request, String key)`
`static Object` | `getAt(PageContext context, String key)`
`static void` | `putAt(ServletContext context, String key, Object value)`
`static void` | `putAt(HttpSession session, String key, Object value)`
`static void` | `putAt(ServletRequest request, String key, Object value)`
`static void` | `putAt(PageContext context, String key, Object value)`
`static void` | `set(ServletContext context, String key, Object value)`
`static void` | `set(HttpSession session, String key, Object value)`
`static void` | `set(ServletRequest request, String key, Object value)`
`static void` | `set(PageContext context, String key, Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### get

    public static Object get(ServletContext context, String key)

### get

    public static Object get(HttpSession session, String key)

### get

    public static Object get(ServletRequest request, String key)

### get

    public static Object get(PageContext context, String key)

### getAt

    public static Object getAt(ServletContext context, String key)

### getAt

    public static Object getAt(HttpSession session, String key)

### getAt

    public static Object getAt(ServletRequest request, String key)

### getAt

    public static Object getAt(PageContext context, String key)

### putAt

    public static void putAt(ServletContext context, String key, Object value)

### putAt

    public static void putAt(HttpSession session, String key, Object value)

### putAt

    public static void putAt(ServletRequest request, String key, Object value)

### putAt

    public static void putAt(PageContext context, String key, Object value)

### set

    public static void set(ServletContext context, String key, Object value)

### set

    public static void set(HttpSession session, String key, Object value)

### set

    public static void set(ServletRequest request, String key, Object value)

### set

    public static void set(PageContext context, String key, Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.